Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class CoreOperationCompare

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.compiler.Expression
            |
            +--org.apache.commons.jxpath.ri.compiler.Operation
                  |
                  +--org.apache.commons.jxpath.ri.compiler.CoreOperation
                        |
                        +--org.apache.commons.jxpath.ri.compiler.CoreOperationCompare

Direct Known Subclasses:
  CoreOperationEqual, CoreOperationNotEqual

public abstract class CoreOperationCompare
extends CoreOperation

Common superclass for the implementations of Expression for the operations "=" and "!=".

Version:
  $Revision: 1.1 $ $Date: 2003/01/19 23:59:24 $
Author:
  Dmitri Plotnikov

Inner classes inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`args`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`CoreOperationCompare(Expression arg1, Expression arg2)`

Method Summary
`protected boolean` | `contains(java.util.Iterator it, java.lang.Object value)`
`protected boolean` | `equal(EvalContext context, Expression left, Expression right)` Compares two values
`protected boolean` | `equal(java.lang.Object l, java.lang.Object r)`
`protected boolean` | `findMatch(java.util.Iterator lit, java.util.Iterator rit)`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperation
`compute, computeValue, getPrecedence, getSymbol, isSymmetric, toString`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`computeContextDependent, getArguments`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`isContextDependent, iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoreOperationCompare

    public CoreOperationCompare(Expression arg1,
                                Expression arg2)

Method Detail

### equal

    protected boolean equal(EvalContext context,
                            Expression left,
                            Expression right)

  Compares two values

### contains

    protected boolean contains(java.util.Iterator it,
                               java.lang.Object value)

### findMatch

    protected boolean findMatch(java.util.Iterator lit,
                                java.util.Iterator rit)

### equal

    protected boolean equal(java.lang.Object l,
                            java.lang.Object r)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.